<?php

function heating_enqueue() {
    wp_enqueue_style( 'heating-style', get_stylesheet_uri() );
    wp_enqueue_style( 'heating-bootstrap-min',get_template_directory_uri()."/assets/css/bootstrap.min.css" , array(), '5.0.0'); 
    wp_enqueue_style( 'heating-animate-min',get_template_directory_uri()."/assets/css/animate.min.css" , array(), '1.0.0'); 
    wp_enqueue_style( 'heating-animate',get_template_directory_uri()."/assets/css/custom-animation.css" , array(), '1.0.0'); 
    wp_enqueue_style( 'heating-fontawesome',get_template_directory_uri()."/assets/css/fontawesome.min.css", array(), '1.0.0' ); 
    wp_enqueue_style( 'heating-meanmenu',get_template_directory_uri()."/assets/css/meanmenu.css" , array(), '2.0.7');     
    wp_enqueue_style( 'heating-flaticon',get_template_directory_uri()."/assets/css/flaticon.css" , array(), '1.0.0');     
    wp_enqueue_style( 'heating-venobox',get_template_directory_uri()."/assets/css/venobox.min.css" , array(), '1.0.0'); 
    wp_enqueue_style( 'heating-backToTop',get_template_directory_uri()."/assets/css/backToTop.css" , array(), '1.0.0'); 
    wp_enqueue_style( 'heating-slick',get_template_directory_uri()."/assets/css/slick.css" , array(), '1.00'); 
    wp_enqueue_style( 'heating-swiper-bundle',get_template_directory_uri()."/assets/css/swiper-bundle.css" , array(), '6.5.3'); 
    wp_enqueue_style( 'heating-default',get_template_directory_uri()."/assets/css/default.css" , array(), '1.0.0'); 
    wp_enqueue_style( 'heating-main',get_template_directory_uri()."/assets/css/main.css" , array(), '1.0.0'); 
    
    
     wp_enqueue_script( 'heating-jquery-min',get_template_directory_uri()."/assets/js/vendor/jquery.min.js" , array(), '3.6.0', true);
    wp_enqueue_script( 'heating-bootstrap-bundle-min',get_template_directory_uri()."/assets/js/bootstrap.bundle.min.js" , array(), '5.0.0', true);
    wp_enqueue_script( 'heating-isotope-pkgd',get_template_directory_uri()."/assets/js/isotope.pkgd.min.js" , array(), '3.5.0', true);
    wp_enqueue_script( 'heating-slick-min',get_template_directory_uri()."/assets/js/slick.min.js" , array(), '1.0.0', true);   
    wp_enqueue_script( 'heating-swiper-bundle',get_template_directory_uri()."/assets/js/swiper-bundle.js" , array(), '6.5.3', true);
    wp_enqueue_script( 'heating-venobox-min',get_template_directory_uri()."/assets/js/venobox.min.js" , array(), '1.9.2', true);
    wp_enqueue_script( 'heating-backToTop',get_template_directory_uri()."/assets/js/backToTop.js" , array(), '1.0.0', true);
    wp_enqueue_script( 'heating-jquery-meanmenu',get_template_directory_uri()."/assets/js/jquery.meanmenu.min.js" , array(), '1.0.0', true);
    wp_enqueue_script( 'heating-imagesloaded',get_template_directory_uri()."/assets/js/imagesloaded.pkgd.min.js" , array(), '4.1.4', true);
    wp_enqueue_script( 'heating-ajax-form',get_template_directory_uri()."/assets/js/ajax-form.js", array(), '1.0.0' , true);
    wp_enqueue_script( 'heating-wow-min',get_template_directory_uri()."/assets/js/wow.min.js" , array(), '1.3.0', true);
    wp_enqueue_script( 'heating-main',get_template_directory_uri()."/assets/js/main.js" , array(), '1.0.0', true);

   
    
  }
add_action( 'wp_enqueue_scripts', 'heating_enqueue' );


function register_menus() { 
register_nav_menus(
    array(
        'main-menu' => 'Main Menu',
        'footer-menu' => 'Footer Menu',
    )
); 
}
add_action( 'init', 'register_menus' );


// theme support
function heating_theme(){

  add_theme_support( 'post-thumbnails' );
  add_theme_support( 'custom-logo' );
  add_theme_support( 'title-tag' );
  }
add_action( 'after_setup_theme', 'heating_theme' );


if( function_exists('acf_add_options_page') ) {

acf_add_options_page();

}

function add_additional_class_on_li($classes, $item, $args) {
if(isset($args->add_li_class)) {
    $classes[] = $args->add_li_class;
}
return $classes;
}
add_filter('nav_menu_css_class', 'add_additional_class_on_li', 1, 3);


function add_additional_class_on_a($classes, $item, $args)
{
if (isset($args->add_a_class)) {
    $classes['class'] = $args->add_a_class;
}
return $classes;
}

add_filter('nav_menu_link_attributes', 'add_additional_class_on_a', 1, 3);


// custom post type for service
function custom_post_type() {
  
  // Set UI labels for Custom Post Type
      $labels = array(
          'name'                => _x( 'Services', 'Post Type General Name', 'heating' ),
          'singular_name'       => _x( 'Services', 'Post Type Singular Name', 'heating' ),
          'menu_name'           => __( 'Services', 'heating' ),
          'parent_item_colon'   => __( 'Parent Services', 'heating' ),
          'all_items'           => __( 'All Services', 'heating' ),
          'view_item'           => __( 'View Services', 'heating' ),
          'add_new_item'        => __( 'Add New Services', 'heating' ),
          'add_new'             => __( 'Add New', 'heating' ),
          'edit_item'           => __( 'Edit Services', 'heating' ),
          'update_item'         => __( 'Update Services', 'heating' ),
          'search_items'        => __( 'Search Services', 'heating' ),
          'not_found'           => __( 'Not Found', 'heating' ),
          'not_found_in_trash'  => __( 'Not found in Trash', 'heating' ),
      );
        
  // Set other options for Custom Post Type
        
      $args = array(
          'label'               => __( 'Services', 'heating' ),
          'description'         => __( 'Services description', 'heating' ),
          'labels'              => $labels,
          // Features this CPT supports in Post Editor
          'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),
          // You can associate this CPT with a taxonomy or custom taxonomy. 
          //'taxonomies'          => array( 'genres' ),
          /* A hierarchical CPT is like Pages and can have
          * Parent and child items. A non-hierarchical CPT
          * is like Posts.
          */
          'hierarchical'        => false,
          'public'              => true,
          'show_ui'             => true,
          'show_in_menu'        => true,
          'show_in_nav_menus'   => true,
          'show_in_admin_bar'   => true,
          'menu_position'       => 5,
          'menu_icon'           => 'dashicons-book',
          'can_export'          => true,
          'has_archive'         => true,
          'exclude_from_search' => false,
          'publicly_queryable'  => true,
          'capability_type'     => 'post',
          'show_in_rest' => true,
          'rewrite' => array( 'with_front' => false ),
    
      );
        
      // Registering your Custom Post Type
      register_post_type( 'services', $args );
    
  }
    
  /* Hook into the 'init' action so that the function
  * Containing our post type registration is not 
  * unnecessarily executed. 
  */
    
  add_action( 'init', 'custom_post_type', 0 );
