
<!doctype html>
<html class="no-js" lang="<?php language_attributes(); ?>">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php wp_title(); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <?php wp_head(); ?>
    
</head>

<body>
   

    <!-- back to top start -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- back to top end -->

    <!-- header area start here -->
    <header>
        <div class="header-menu header-sticky">
            <div class="custom-container">
                <div class="row align-items-center">
                    <div class="col-xxl-2 col-xl-2 col-lg-3 col-8">
                        <div class="header-logo pt-15 pb-15">
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="Digital Hub">
                            <?php if( has_custom_logo() ):  ?>
                                <?php 
                                    // Get Custom Logo URL
                                    $custom_logo_id = get_theme_mod( 'custom_logo' );
                                    $custom_logo_data = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                                    $custom_logo_url = $custom_logo_data[0];
                                ?>
                            <img src="<?php echo esc_url( $custom_logo_url ); ?>"  alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"/>
                            <?php else: ?>
                            <div class="site-name"><?php bloginfo( 'name' ); ?></div>
                            <?php endif; ?>
                        </a>
                        </div>
                    </div>
                    <div class="col-xxl-6 col-xl-8 col-lg-6 col-4">
                        <div class="main-menu d-none d-lg-block">
                            <nav id="mobile-menu">
                                <!-- <ul>
                                    <li><a href="index.html">HOME</a>
                                    </li>
                                    <li><a href="#">About</a>
                                    </li>
                                    <li class="menu-item-has-children"><a href="#">SERVICES</a>
                                        <ul class="sub-menu">
                                            <li><a href="#">Services 1</a></li>
                                            <li><a href="#">Services 2</a></li>
                                            <li><a href="#">Services 3</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="#">Gallery</a>
                                    </li>
                                    <li><a href="#">Blog</a>
                                    </li>
                                    <li><a href="#">Contact</a>
                                    </li>
                                </ul> -->
                               <?php
                                    wp_nav_menu( array( 
                                        'theme_location' => 'main-menu', 
                                        'container' => 'ul',
                                        'menu_class'=> 'menu',
                                        'parent_li_class' => 'menu-item-has-children',
                                        'child_li_class' => 'sub-menu'
                                    ) ); 
                                    ?>

                            </nav>
                        </div>
                        <div class="side-menu-icon d-lg-none text-end">
                            <button class="side-toggle"><i class="far fa-bars"></i></button>
                        </div>
                    </div>
                    <div class="col-xxl-4 col-xl-2 col-lg-3 d-none d-lg-block">
                        <div class="header-right text-end">
                            <ul class="z-index">
                                <li class="user__text"><span><i><img src="<?php echo get_template_directory_uri(); ?>/assets/img/icon/icon-man.png" class="img-fluid" alt="img"></i><a href="tel:<?php the_field('contact_number', 'option'); ?>"><?php the_field('contact_number', 'option'); ?></a> </span></li>
                                <li><a href="c#" class="theme-btn theme-btn-white w-btn">Get Quote</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>

    <div class="fix">
        <div class="side-info">
            <button class="side-info-close"><i class="fal fa-times"></i></button>
            <div class="side-info-content">
                <div class="mobile-menu"></div>
                <div class="contact-infos mb-30">
                    <div class="contact-list mb-30">
                        <h4>Contact Info</h4>
                        <ul>
                            <li><i class="flaticon-history"></i>Sunday to Thursday</li>
                            <li><i class="flaticon-pin"></i>28/4 Palmal, London</li>
                            <li><i class="fal fa-envelope"></i><a href="/cdn-cgi/l/email-protection#563f38303916252f353e3964627835393b"><span class="__cf_email__" data-cfemail="88e1e6eee7c8fbf1ebe0e7babca6ebe7e5">[email&#160;protected]</span></a></li>
                        </ul>
                        <div class="sidebar__menu--social">
                            <a href="#"><i class="fab fa-facebook-f"></i></a>
                            <a href="#"><i class="fab fa-twitter"></i></a>
                            <a href="#"><i class="fab fa-instagram"></i></a>
                            <a href="#"><i class="fab fa-google"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="offcanvas-overlay"></div>
    <!-- header area end here -->
    <main>