<?php /* Template Name: Home Page */ ?>
<?php get_header();?>
<!-- hero area start here -->
        <section class="slider-area fix">
            <div class="slider-active swiper-container">
                <div class="swiper-wrapper">
                    <?php if( have_rows('banner_slider') ): ?>
                    <?php while( have_rows('banner_slider') ): the_row(); ?>
                    <div class="single-slider slider-height d-flex align-items-center swiper-slide" data-swiper-autoplay="5000">
                        <?php  $image = get_sub_field('banner_image');
                        if( !empty($image) ): ?>
                        <div class="slide-bg" style="background-image: url(<?php echo esc_url($image['url']); ?>)"></div>
                        <?php endif; ?>
                        
                        <div class="custom-container">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="aslider z-index">
                                        <h2 class="aslider--title mb-30" data-animation="fadeInUp" data-delay=".5s"><?php the_sub_field("banner_heading");?></h2>
                                        <h3 class="aslider--subtitle mb-50" data-animation="fadeInUp" data-delay=".7s"><?php the_sub_field("banner_subheading");?> </h3>
                                        <div class="aslider--btn" data-animation="fadeInUp" data-delay=".9s">
                                            <a href="<?php the_sub_field("banner_button_link")?>" class="theme-btn theme-btn-blue"><?php the_sub_field('banner_button_text'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?>
                    <?php endif; ?> 
                </div>
                <!-- If we need navigation buttons -->
                <div class="swiper-button-prev slide-prev"><i class="far fa-long-arrow-left"></i></div>
                <div class="swiper-button-next slide-next"><i class="far fa-long-arrow-right"></i></div>
            </div>
        </section>
        <!-- hero area end here -->

        <!-- cta area start here -->
        <section class="cta-area wow fadeInUp" data-wow-delay=".3s">
            <div class="custom-container">
                <div class="cta--wrapper">
                    <div class="cta--single black-soft-bg">
                        <i class="flaticon-business-and-trade cta--icon"></i>
                        <h3 class="cta--title"><?php the_field('cta_item_heading_1'); ?></h3>
                        <div class="cta--link">
                            <a href="<?php the_field('cta_item_link_1'); ?>" class="cta--link__icon"><i><img src="<?php echo get_template_directory_uri(); ?>/assets/img/icon/cta-icon-1.png" class="img-fluid" alt="img"></i></a>
                        </div>
                    </div>
                    <div class="cta--single theme-bg">
                        <i class="flaticon-snowfall cta--icon"></i>
                        <h3 class="cta--title"><?php the_field('cta_item_heading_2'); ?></h3>
                        <div class="cta--link">
                            <a href="<?php the_field('cta_item_link_2'); ?>" class="cta--link__icon"><i><img src="<?php echo get_template_directory_uri(); ?>/assets/img/icon/cta-icon-1.png" class="img-fluid" alt="img"></i></a>
                        </div>
                    </div>
                    <div class="cta--single black-soft-bg">
                        <i class="flaticon-business-and-trade cta--icon"></i>
                        <h3 class="cta--title"><?php the_field('cta_item_heading_3'); ?></h3>
                        <div class="cta--link">
                            <a href="<?php the_field('cta_item_link_3'); ?>" class="cta--link__icon"><i><img src="<?php echo get_template_directory_uri(); ?>/assets/img/icon/cta-icon-1.png" class="img-fluid" alt="img"></i></a>
                        </div>
                    </div>

                </div>
            </div>
        </section>
        <!-- cta area end here -->

        <!-- about area start here -->
        <section class="about-area pt-120 pb-40">
            <div class="custom-container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="aabout-img-space">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="aabout-img img-lg mb-30 wow fadeInUp" data-wow-delay=".3s">                                        

                                        <?php 
                                        $image = get_field('about_image_long');
                                        if( !empty( $image ) ): ?>
                                            <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="aabout-img mb-30 wow fadeInUp" data-wow-delay=".5s">
                                        <?php  $image = get_field('about_image_sqaure');
                                        if( !empty($image) ): ?>
                                        <img src="<?php echo esc_url($image['url']); ?>" class="img-fluid" alt="<?php echo esc_url($image['url']); ?>">
                                        <?php endif; ?>
                                    </div>
                                    <div class="aabout-img_text mb-30 black-soft-bg wow fadeInUp" data-wow-delay=".7s">
                                        <h2 class="aabout-img_text-title"><?php the_field('complete_project_number'); ?> <span><?php the_field('complete_project_text'); ?></span></h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-10">
                        <div class="aabout-text mr-150 mb-30">
                            <div class="section-title-wrapper mb-30 wow fadeInUp" data-wow-delay=".3s">
                                <h6 class="subtitle mb-20">
                                    <?php  $image = get_field('about_icon');
                                    if( !empty($image) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" class="img-fluid" alt="<?php echo esc_url($image['url']); ?>">
                                    <?php endif; ?>
                                 <?php the_field('about_subheading'); ?> </h6>
                                <h2 class="section-title"><?php the_field('about_heading'); ?></h2>
                            </div>
                            <p class="mb-40 wow fadeInUp" data-wow-delay="0.6s"><?php the_field('about_description'); ?></p>
                            <div class="aabout-qoute mb-50 wow fadeInUp" data-wow-delay="0.9s">
                                <i class="fas fa-quote-right float-bob-x"></i>
                                <h4 class="z-index"><?php the_field('about_quote_text'); ?> </h4>
                            </div>
                            <div class="aabout--profile__wrapper wow fadeInUp" data-wow-delay="1.2s">
                                <div class="aabout--btn">
                                    <a href="<?php the_field('about_button_link'); ?>" class="theme-btn"><?php the_field('about_button_text'); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- about area end here -->

       

        <!-- service area start here -->
        <section class="blog-area pt-110 pb-40" style="background-image: url('<?php echo get_template_directory_uri(); ?>/assets/img/work/work-bg.jpg');">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section-title-wrapper text-center mb-70 wow fadeInUp">
                            <h2 class="section-title"><?php the_field('service_heading'); ?></h2>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php 
                    $args = array(
                        'post_type'=>'services',
                        'post_status' => 'publish',
                        'posts_per_page' => 6,
                        'order' => 'DESC',
                    );
                    // The Query.
                    $the_query = new WP_Query( $args );
                    if ( $the_query->have_posts() ) :
                      $i = 01;
                        while ( $the_query->have_posts() ) : $the_query->the_post();
                      
                    ?>
                    <?php  $counter_number = sprintf("%02d", $i); ?>
                    <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' ); ?>
                    <div class="col-lg-4 col-md-6">
                        <div class="ablog mb-105 wow fadeInUp">
                            <div class="ablog__img">
                                <img src="<?php echo $thumb[0]; ?>" class="img-fluid" alt="img">
                            </div>
                            <div class="ablog__text ablog__text--service">
                                <div class="blog__date blog__date--service__icon">
                                    <i class="<?php the_field('service_icon'); ?>"></i>
                                </div>
                                <h4 class="ablog__text--title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                <p><?php the_excerpt(); ?></p>
                                <div class="ablog__btn">
                                    <a href="<?php the_permalink(); ?>" class="theme-btn">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php $i++; endwhile; endif; wp_reset_query(); ?>
                </div>
            </div>
        </section>
        <!-- service area end here -->

         <!-- fact area start here -->
        <section class="fact-area pt-80 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-xl-3 col-lg-3 col-sm-6">
                        <div class="afact mb-30 wow fadeInUp" data-wow-delay=".3s">
                            <div class="afact--img mb-20">
                                <?php 
                                $image = get_field('counter_one_image');
                                if( !empty( $image ) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                                <?php endif; ?>
                            </div>
                            <div class="afact--text">
                                <div class="afact--text__title">
                                    <h2><?php the_field('counter_one_number'); ?></h2>
                                </div>
                                <div class="afact--text__content">
                                    <h4><?php the_field('counter_one_subheading'); ?></h4>
                                    <h3><?php the_field('counter_one_heading'); ?></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-sm-6">
                        <div class="afact mb-30 wow fadeInUp" data-wow-delay=".6s">
                            <div class="afact--img mb-20">
                                <?php 
                                $image = get_field('counter_two_image');
                                if( !empty( $image ) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                                <?php endif; ?>
                            </div>
                            <div class="afact--text">
                                <div class="afact--text__title">
                                    <h2><?php the_field('counter_two_number'); ?></h2>
                                </div>
                                <div class="afact--text__content">
                                    <h4><?php the_field('counter_two_subheading'); ?></h4>
                                    <h3><?php the_field('counter_two_heading'); ?></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-sm-6">
                        <div class="afact mb-30 wow fadeInUp" data-wow-delay=".9s">
                            <div class="afact--img mb-20">
                                <?php 
                                $image = get_field('counter_three_image');
                                if( !empty( $image ) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                                <?php endif; ?>
                            </div>
                            <div class="afact--text">
                                <div class="afact--text__title">
                                    <h2><?php the_field('counter_three_number'); ?></h2>
                                </div>
                                <div class="afact--text__content">
                                    <h4><?php the_field('counter_three_subheading'); ?></h4>
                                    <h3><?php the_field('counter_three_heading'); ?></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-sm-6">
                        <div class="afact mb-30 wow fadeInUp" data-wow-delay="1.2s">
                            <div class="afact--img mb-20">
                                <?php 
                                $image = get_field('counter_four_image');
                                if( !empty( $image ) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                                <?php endif; ?>
                            </div>
                            <div class="afact--text">
                                <div class="afact--text__title">
                                    <h2><?php the_field('counter_four_number'); ?></h2>
                                </div>
                                <div class="afact--text__content">
                                    <h4><?php the_field('counter_four_subheading'); ?></h4>
                                    <h3><?php the_field('counter_four_heading'); ?></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- fact area end here -->
        <!-- choose us area start here -->
        <section class="position-relative">
            <div class="why__choose--bg d-lg-none">
                <?php 
                $image = get_field('left_image');
                if( !empty( $image ) ): ?>
                    <img src="<?php echo esc_url($image['url']); ?>" class="img-fluid z-index" alt="<?php echo esc_attr($image['alt']); ?>" />
                <?php endif; ?>
            </div>
            <div class="choose-area" data-background="<?php echo get_template_directory_uri(); ?>/assets/img/choose/choose-bg.jpg">
                <div class="choose-bg-right" data-background="<?php echo get_template_directory_uri(); ?>/assets/img/choose/choose-bg2.jpg"></div>
                <div class="choose--content__wrapper z-index">
                    <div class="container">
                        <div class="row justify-content-end">
                            <div class="col-lg-7">
                                <div class="choose--content">
                                    <div class="section-title-wrapper mb-35 wow fadeInUp" data-wow-delay=".3s">
                                        <h6 class="subtitle mb-20"><?php the_field('choose_subheading'); ?></h6>
                                        <h2 class="section-title"><?php the_field('choose_heading'); ?></h2>
                                    </div>
                                    <p class="mb-40 wow fadeInUp" data-wow-delay=".6s"><?php the_field('choose_description'); ?></p>
                                    <div class="achoose mb-40 wow fadeInUp" data-wow-delay=".9s">
                                        <div class="achoose__icon theme-bg-blue">
                                            <i class="flaticon-technician"></i>
                                        </div>
                                        <div class="achoose__text">
                                            <h4 class="achoose__text--title"><?php the_field('choose_item_heading1'); ?></h4>
                                            <p><?php the_field('choose_item_description_1'); ?></p>
                                        </div>
                                    </div>
                                    <div class="achoose mb-40 wow fadeInUp" data-wow-delay="1.2s">
                                        <div class="achoose__icon theme-bg">
                                            <i class="flaticon-satisfaction"></i>
                                        </div>
                                        <div class="achoose__text">
                                            <h4 class="achoose__text--title"><?php the_field('choose_item_heading_2'); ?></h4>
                                            <p><?php the_field('choose_item_description_2'); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- choose us area end here -->

        <!-- portfolio area start here -->
        <section class="portfolio-area pt-120 pb-80">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <div class="section-title-wrapper mb-70 wow fadeInUp" data-wow-delay=".3s">
                            <h6 class="subtitle mb-20">Latest Projects</h6>
                            <h2 class="section-title">Our Recent Projects</h2>
                        </div>
                    </div>
                </div>
                <div class="row aportfolio-active">
                <?php if( have_rows('latest_project') ): ?>
                    <?php while( have_rows('latest_project') ): the_row();  ?>
                    <div class="col-xl-4 col-md-6 grid-item cat1 cat3">
                        <div class="aportfolio mb-40 wow fadeInUp" data-wow-delay=".3s">
                            <div class="aportfolio__img">
                                <?php 
                                  $image = get_sub_field('project_image');
                                  if( !empty( $image ) ): ?>
                                    <img src="<?php echo esc_url($image['url']); ?>" class="img-fluid" alt="<?php echo esc_attr($image['alt']); ?>">
                                  <?php endif; ?>
                                <div class="aportfolio__img--icon">
                                    <a class="venobox" data-gall="gallery01" href="<?php echo esc_url($image['url']); ?>">
                                        <i class="fas fa-search"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?>
                    <?php endif; ?>
                </div>
            </div>
        </section>
        <!-- portfolio area end here -->

        

        <!-- testimonial area start here -->
        <section class="testimonial-area" style="background-image: url('<?php echo get_template_directory_uri(); ?>/assets/img/testimonial/testimonial-bg.jpg');">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <div class="atestimonial__img wow fadeInUp" data-wow-delay=".5s">
                            <?php 
                                $image2 = get_field('testimonial_left_image');
                                if( !empty( $image2 ) ): ?>
                                    <img src="<?php echo esc_url($image2['url']); ?>" alt="<?php echo esc_attr($image2['alt']); ?>" />
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="atestimonial__text wow fadeInUp" data-wow-delay="1s">
                            <div class="section-title-wrapper mb-20">
                                <h6 class="subtitle mb-20"><?php the_field('testimonial_subheading'); ?></h6>
                                <h2 class="section-title text-white"><?php the_field('testimonial_heading'); ?></h2>
                            </div>
                            <div class="atestimonial-active swiper-container">
                                <div class="swiper-wrapper">
                                    <?php if( have_rows('testimonial_slider') ): ?>
                                    <?php while( have_rows('testimonial_slider') ): the_row(); ?>
                                    <div class="atestimonial swiper-slide">
                                        <p class="text-white mb-40"><?php the_sub_field("testimonial_comment");?></p>
                                        <div class="atestimonial__client d-flex align-items-center">
                                            <div class="atestimonial__client--img">
                                                <img src="<?php the_sub_field("author_image");?>" class="img-fluid" alt="img">
                                            </div>
                                            <div class="atestimonial__client--text">
                                                <h4 class="atestimonial__client--text__title"><?php the_sub_field("author_name");?></h4>
                                                <span class="text-white"><?php the_sub_field("author_designation");?></span>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endwhile; ?>
                                    <?php endif; ?>
                                </div>
                                <!-- If we need pagination -->
                                <!-- <div class="swiper-pagination"></div> -->

                                <!-- If we need navigation buttons -->
                                <div class="swiper-button-prev slide-prev"><i class="far fa-long-arrow-alt-left"></i></div>
                                <div class="swiper-button-next slide-next"><i class="far fa-long-arrow-alt-right"></i></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- testimonial area end here -->

        <!-- blog area start here -->
        <section class="blog-area pt-120 pb-90">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section-title-wrapper text-center mb-70 wow fadeInUp" data-wow-delay=".3s">
                            <h6 class="subtitle mb-20"><?php the_field('blog_subheading'); ?></h6>
                            <h2 class="section-title"><?php the_field('blog_heading'); ?></h2>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php 
                        $args = array(
                            'post_type'=>'post',
                            'post_status' => 'publish',
                            'posts_per_page' => 3,
                            'order' => 'ASC',
                        );
                        // The Query.
                        $the_query = new WP_Query( $args );
                        if ( $the_query->have_posts() ) :
                            while ( $the_query->have_posts() ) : $the_query->the_post();
                                
                        ?>
                        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );
                        $post_date = get_the_date('d'); // Day
                        $post_month = get_the_date('M');
                         ?>
                    <div class="col-lg-4 col-md-6">
                        <div class="ablog mb-55 wow fadeInUp" data-wow-delay=".3s">
                            <div class="ablog__img">
                                <img src="<?php echo $thumb[0]; ?>" class="img-fluid" alt="img">
                            </div>
                            <div class="ablog__text">
                                <div class="blog__date">
                                    <h3><?php echo $post_date; ?></h3>
                                    <span><?php echo $post_month; ?></span>
                                </div>
                                <h4 class="ablog__text--title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                <div class="ablog__btn">
                                    <a href="<?php the_permalink(); ?>" class="theme-btn">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endwhile; endif; wp_reset_query(); ?>
                </div>
            </div>
        </section>
        <!-- blog area end here -->
        
<?php get_footer(); ?>